Bug 753483 - [RFE] support bind forward zones, aka DNS conditional forwarding
Summary: [RFE] support bind forward zones, aka DNS conditional forwarding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 754433 756082
TreeView+ depends on / blocked
 
Reported: 2011-11-12 21:40 UTC by Brian Cook
Modified: 2013-09-08 23:51 UTC (History)
4 users (show)

Fixed In Version: ipa-2.2.0-3.el6
Doc Type: Enhancement
Doc Text:
Cause: IPA server does not allow to create DNS zones with conditional forwarding which lets the name server to forward all request to these zones to a custom forwarder. Consequence: IPA DNS plugin has a limited capability in a conditional forwarding support compared with plain text files. Change: IPA DNS plugin now allows user to create a DNS zone and set a conditional forwarder and a forwarding policy for the zone. Result: User can create conditionally forwarded zones both with a plain text configuration and IPA configuration stored in LDAP server.
Clone Of:
: 754433 (view as bug list)
Environment:
Last Closed: 2012-06-20 13:17:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0819 normal SHIPPED_LIVE ipa bug fix and enhancement update 2012-06-19 20:34:17 UTC

Description Brian Cook 2011-11-12 21:40:33 UTC
IPA should support BIND forward zones, conditional forwarding based on the domain suffix of the name trying to be resolved, in addition to the global forwarders that it already supports

For example, all records that end with
someDomain.example.com forwarded to 10.0.0.1

It would be nice to be able to prioritize forwarding.  Global forwarders and conditional forwarders could be ranked in a list box like

someDomain.example.com -> 10.0.0.1 (conditional Forwarder)
* -> 192.168.1.1 (Global Forwarder)

from BIND manual:
A "forward zone" is a way to configure forwarding on a per-domain basis. A zone statement of type forward can contain a forward and/or forwarders statement, which will apply to queries within the domain given by the zone name. If no forwarders statement is present or an empty list for forwarders is given, then no forwarding will be done for the domain, canceling the effects of any forwarders in the options statement. Thus if you want to use this type of zone to change the behavior of the global forward option (that is, "forward first to", then "forward only", or vice versa, but want to use the same servers as set globally) you need to respecify the global forwarders.

Comment 3 Rob Crittenden 2011-11-15 15:35:58 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2108

Comment 4 Martin Kosek 2012-02-24 09:09:11 UTC
Fixed upstream:
master: 210d913eb19ee24e4a271fab8746e4ca5234c3d6
ipa-2-2: ec937dc9572e5d86e7a137cef3a9efecb77db6b3

Comment 6 Martin Kosek 2012-04-19 12:16:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: IPA server does not allow to create DNS zones with conditional forwarding which lets the name server to forward all request to these zones to a custom forwarder.
Consequence: IPA DNS plugin has a limited capability in a conditional forwarding support compared with plain text files.
Change: IPA DNS plugin now allows user to create a DNS zone and set a conditional forwarder and a forwarding policy for the zone.
Result: User can create conditionally forwarded zones both with a plain text configuration and IPA configuration stored in LDAP server.

Comment 11 Gowrishankar Rajaiyan 2012-05-16 07:26:51 UTC
Verified: 

ipa-server-2.2.0-13.el6.x86_64
bind-9.8.2-0.9.rc1.el6.x86_64
bind-dyndb-ldap-1.1.0-0.9.b1.el6.x86_64

Comment 13 errata-xmlrpc 2012-06-20 13:17:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0819.html


Note You need to log in before you can comment on or make changes to this bug.